<?php

class Elabore_Model extends CI_Model {

    function __construct() {
        parent::__construct();
    }

    public function inserealunoconteudo($id, $chave, $token, $login) {

        $data = date('Y-m-d', time());
        $dados = array('Id_usuario' => $id, 'id_aluno_amazonia' => $_SESSION['aluno']['id_aluno'], 'chave' => $chave, 'token' => $token, 'login' => $login, 'data_cadastro' => $data);
        $this->db->insert('ec_usuario', $dados);
    }

    public function obtemusuario($id) {

        $this->db->where('id_aluno_amazonia', $id);
        $query = $this->db->get('ec_usuario');

        return $query->row_array();
    }

    public function obtemprovapadrao() {
        
        $this->db->where('id_curso', 21803);
        $query = $this->db->get('alternativa');

        return $query->result();
    }

    public function insereacursocriado($descricaoc, $ementa) {

        $dados = array('id_usuario' => 2, 'nome' => mb_strtoupper($_SESSION['nome_curso'], "utf-8"), 'ementa' => $ementa, 'descricao' => $descricaoc, 'liberado' => 0);
        $this->db->insert('curso', $dados);
    }

    public function obemcursocriado() {
        $this->db->select_max('id_curso');
        $result = $this->db->get('curso')->row_array();
        return $result;
    }

    public function insereacursocolaborador($navegador, $ip, $email, $ilesson ,$nome) {

        $id_curso = $this->obemcursocriado();

        $hora = date('H:i:s');
        $data = date('Y-m-d ');
        $dados = array('data' => $data, 'hora' => $hora, 'navegador' => $navegador, 'ip' => $ip, 'id_aluno' => $_SESSION['aluno']['id_aluno'], 'email' => $email, 'id_curso_ilesson' => $ilesson,'pago' => 0, 'extra2' => $nome);
        $this->db->insert('curso_colaborador', $dados);
    }

    public function insereprovapadrao($descricao, $alternativa) {
        $id_curso = $this->obemcursocriado();
        $dados = array('id_curso' => $id_curso['id_curso'], 'descricao' => $descricao, 'verdadeiro' => $alternativa);
        $this->db->insert('alternativa', $dados);
    }
    
    public function insereconteudolink($result) {
           
           $id_curso = $this->obemcursocriado();
 
        foreach ($result['link'] as $links) {
            
           $dados = array('id_curso' => $id_curso['id_curso'], 'conteudo' => 'Indicação de Leitura - Clique Aqui Para Estudar','url' => $links['links']);
           $this->db->insert('link', $dados);           
        }
    }
    
    public function obtemidcursoilesson($id_curso_ilesson) {
        
        $this->db->where('id_curso_ilesson', $id_curso_ilesson);
        $query = $this->db->get('curso_colaborador');

        return $query->row_array();
        
    }
    
    public function atualizacolaborador($id_curso, $id_curso_ilesson) {
        
//        $dados = array('id_curso' => $id_curso, 'pago' =>  1);
        $dados = array('pago' =>  1);
        $this->db->set($dados);
        $this->db->where('id_curso_ilesson', $id_curso_ilesson);
        $this->db->update('curso_colaborador');

    }
}
